%global forgeurl https://github.com/SpamExperts/pyzor
%global commit   f46159bd6519cebcebf59e9334a7920371111d75

Name:           pyzor
Version:        1.0.0
Release:    1%{?dist}
Summary:        Collaborative spam filtering system
License:        GPL-2.0-only
URL:            %forgeurl
#Source0:        %forgesource
Source0:        pyzor-f46159bd6519cebcebf59e9334a7920371111d75.tar.gz
Patch0:         https://patch-diff.githubusercontent.com/raw/SpamExperts/pyzor/pull/119.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-redis

%description
Pyzor is a collaborative, networked system to detect
and block spam using identifying digests of messages.
Pyzor is similar to Vipul's Razor except implemented
in python, and using fully open source servers.

Pyzor can be used either standalone, or to augment the
spam filtering ability of spamassassin.  spamassassin
is highly recommended.


%prep
%autosetup -p1 -n pyzor-f46159bd6519cebcebf59e9334a7920371111d75


%build
%py3_build


%install
%py3_install
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}


%check
%pytest tests/unit/


%files
%license COPYING
%doc config/ README.rst THANKS
%dir %{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/%{name}-migrate
%{_bindir}/%{name}d
%{python3_sitelib}/%{name}*


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
